#!/usr/bin/env bash

#SBATCH --job-name=your_job_name
#SBATCH --account=**ask Dr. Klauda**
#SBATCH --partition=shared
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=32
#SBATCH --cpus-per-task=1
#SBATCH --mem=64G
#SBATCH --time=48:00:00
#SBATCH --no-requeue
#SBATCH --export=ALL

declare -xr SCHEDULER_MODULE='slurm/expanse/20.02.3'
declare -xr SOFTWARE_MODULE='cpu/0.15.4'
declare -xr COMPILER_MODULE='gcc/10.2.0'
declare -xr MPI_MODULE='openmpi/4.0.4'
declare -xr NAMD_MODULE='namd/2.14'

#module purge
module load "${SCHEDULER_MODULE}"
module load "${SOFTWARE_MODULE}"
module load "${COMPILER_MODULE}"
module load "${MPI_MODULE}"
module load "${NAMD_MODULE}"
#module list
#printenv

# equilibration
for (( cnt=1; cnt<=6; cnt++ ))
do
time -p namd2 +p32 +setcpuaffinity step6.${cnt}_equilibration.inp >& step6.${cnt}_equilibration.out
echo "time -p namd2 +p32 +setcpuaffinity step6.${cnt}_equilibration.inp >& step6.${cnt}_equilibration.out"
    wait
done

